import java.math.BigInteger;
import java.util.Scanner;

public class Fox
{

	/**
	 * @param args
	 */
	public static void main(String[] args)
	{
		Scanner sc = new Scanner(System.in);

		while (sc.hasNext())
		{
			String line = sc.nextLine();
			if (line.length() == 3 && line.compareTo("END") == 0)
			{
				break;
			}

			//long t = System.nanoTime();
			workFox(line);
			//System.out.println(System.nanoTime() - t + " ns");
		}

		sc.close();
	}

	private static void workFox(String snumber)
	{
		BigInteger number = new BigInteger(snumber);
		BigInteger result;

		// je kladne?
		if (!snumber.startsWith("-"))
		{
			result = number.subtract(new BigInteger("8"));

		} else
		{
			// pro zaporna
			result = number.subtract(new BigInteger("1"));
		}

		int count = computeNumbers(snumber);
		int resCount = computeNumbers(result.toString());

		if (count != resCount - 1)
		{
			workBruteFox(snumber);
		} else
		{
			System.out.println(result.toString());
		}

	}

	// #######################################x#######################################
	public static void workBruteFox(String snumber)
	{
		if (snumber.length() < 10)
		{
			workInt(snumber);
		} else if (snumber.length() < 19)
		{
			workLong(snumber);
		} else
		{
			workBig(snumber);

		}
	}

	public static void workInt(String snumber)
	{
		int number = Integer.parseInt(snumber);
		int count = computeNumbers(snumber);

		int j;
		for (int i = number;; i--)
		{
			j = computeNumbers("" + i);

			if (j == count + 1)
			{
				System.out.println(i);
				return;
			}
		}
	}

	public static void workLong(String snumber)
	{
		long number = Long.parseLong(snumber);
		int count = computeNumbers(snumber);

		int j;
		for (long i = number;; i--)
		{
			j = computeNumbers("" + i);

			if (j == count + 1)
			{
				System.out.println(i);
				return;
			}
		}
	}

	public static void workBig(String snumber)
	{
		BigInteger number = new BigInteger(snumber);
		int count = computeNumbers(snumber);

		int j;
		for (BigInteger i = number;; i = i.subtract(BigInteger.ONE))
		{
			j = computeNumbers(i.toString());

			if (j == count + 1)
			{
				System.out.println(i);
				return;
			}
		}
	}

	public static int computeNumbers(String s)
	{
		int count = 0;

		int i;
		for (char c : s.toCharArray())
		{
			if (c == '-')
			{
				continue;
			}

			i = Integer.parseInt("" + c);
			count += i;
		}

		return count;
	}

}
