import java.io.*;
import java.util.*;

public class Jump
{

	private static ArrayList<Node> stones;

	/**
	 * @param args
	 * @throws IOException
	 */
	public static void main(String[] args) throws IOException
	{

		Scanner sc = new Scanner(System.in);

		int count;

		while ((count = sc.nextInt()) != 0)
		{
			BufferedReader br = new BufferedReader(new InputStreamReader(
					System.in));
			stones = new ArrayList<>(count);

			int i, index = 0;
			String number = "";
			while ((i = br.read()) != '\r' && i != '\n')
			{
				//System.out.println(i);
				
				if (i == ' ')
				{
					stones.add(new Node(index++, Integer.parseInt(number)));
					number = "";
				} else
				{
					number += (char) i;
				}
			}

			doJumping(stones);
		}
		sc.close();
	}

	public static void doJumping(List<Node> nodes)
	{
		Node winner = new Node();
		Node first = nodes.get(0);
		first.prevId = first.spotId;
		first.distance = 0;

		LinkedList<Node> buffer = new LinkedList<Node>();
		buffer.add(first);

		while (buffer.size() > 0)
		{
			jump(buffer.peekFirst(), winner, buffer);
			if (winner.spotId == nodes.size() - 1)
			{
				break;
			}
		}

		System.out.println(winner.spotId);
	}

	public static void jump(Node from, Node winner, LinkedList<Node> buffer)
	{
		for (Node n : stones)
		{
			if (canJump(from.spotValue, from.spotId, n.spotValue, n.spotId)
					&& n.spotValue <= 1000000)
			{
				int distance = from.distance = Math.abs(from.spotId - n.spotId);

				if (n.distance > distance)
				{
					n.distance = distance;
					n.prevId = from.spotId;
				} else
				{
					continue;
				}

				if (n.spotId > winner.spotId)
				{
					winner = n;
				}

				buffer.addFirst(n);
			}
		}
	}

	public static boolean canJump(int from, int indexFrom, int to, int indexTo)
	{
		return (from + to) == Math.abs(indexFrom - indexTo);
	}
}

class Node
{
	int spotId;
	int spotValue;
	int prevId;
	int distance;

	public Node()
	{
		this(-1, -1);
	}

	public Node(int spotId, int spotValue)
	{
		super();
		this.spotId = spotId;
		this.spotValue = spotValue;
		this.prevId = -1;
		this.distance = Integer.MAX_VALUE;
	}

}